### Class

# WebKit2WebExtension DOMXPathResult

#### Description

    class WebKit2WebExtension.DOMXPathResult : WebKit2WebExtension.DOMObject
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- WebKitDOMObject
- GObject

#### Instance methods

###### webkit_dom_xpath_result_get_boolean_value

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_invalid_iterator_state

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_number_value

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_result_type

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_single_node_value

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_snapshot_length

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_get_string_value

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_iterate_next

No description available.

deprecated: 2.22

###### webkit_dom_xpath_result_snapshot_item

No description available.

deprecated: 2.22

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2WebExtension.DOMXPathResult:boolean-value

No description available.

###### WebKit2WebExtension.DOMXPathResult:invalid-iterator-state

No description available.

###### WebKit2WebExtension.DOMXPathResult:number-value

No description available.

###### WebKit2WebExtension.DOMXPathResult:result-type

No description available.

###### WebKit2WebExtension.DOMXPathResult:single-node-value

No description available.

###### WebKit2WebExtension.DOMXPathResult:snapshot-length

No description available.

###### WebKit2WebExtension.DOMXPathResult:string-value

No description available.

##### Properties inherited from WebKitDOMObject (1)

###### WebKit2WebExtension.DOMObject:core-object

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2WebExtensionDOMXPathResultClass {
      WebKitDOMObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: WebKitDOMObjectClass`

  No description available.